"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnvKey = void 0;
require("reflect-metadata");
const set_env_key_declaration_1 = require("../usecase/set-env-key-declaration");
function EnvKey(options = {}) {
    options = { default: undefined, nullable: false, description: undefined, ...options };
    // eslint-disable-next-line @typescript-eslint/ban-types
    return (object, propertyName) => {
        (0, set_env_key_declaration_1.setEnvKeyDeclaration)({
            objectName: object.name,
            propertyName: propertyName,
            type: Reflect.getMetadata('design:type', object, propertyName),
            defaultValue: options.default,
            nullable: options.nullable,
        });
    };
}
exports.EnvKey = EnvKey;
//# sourceMappingURL=env-key.js.map