"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadEnv = void 0;
const env_1 = require("../domain/env");
const file_system_1 = require("../adapter/file-system");
const key_storage_1 = require("../domain/key-storage");
function loadEnv(input) {
    const { path, userEnvClass } = input;
    const keys = key_storage_1.KeyStorage.find(userEnvClass.name);
    if (!file_system_1.FileSystem.isFileExist(path)) {
        file_system_1.FileSystem.createFile(path, keys.map((key) => key.name).join('=\n') + '=\n');
    }
    env_1.Env.create(path).updateDefaultValue(keys).castingAllValue(keys).toUserEnvClass(userEnvClass);
}
exports.loadEnv = loadEnv;
//# sourceMappingURL=load-env.js.map